<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/InternalError.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::InternalError</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class InternalError

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Scope.hh.html" target="detail">../Synopsis/SymbolLookup/Scope.hh</a></div> <div class="xref"><a href="../../../XRef/xref22.html#Synopsis_mSymbolLookup_mInternalError" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line51" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="InternalError-inheritance" src="InternalError-inheritance.png" hspace="8" vspace="8" border="0" usemap="#InternalError-inheritance_map" />
<map name="InternalError-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="InternalError_lconst.std_mstring_A_r">InternalError</a>(const&#160;std::string&amp; <span class="variable">what</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line54" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tInternalError_l_r">~InternalError</a>()  </div> <div class="xref"><a href="../../../XRef/xref22.html#Synopsis_mSymbolLookup_mInternalError_m_tInternalError_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line55" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;const&#160;char* <a class="name" id="what_l_rconst">what</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref22.html#Synopsis_mSymbolLookup_mInternalError_mwhat_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line56" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::string <a class="name" id="my_what">my_what</a></div> <div class="xref"><a href="../../../XRef/xref22.html#Synopsis_mSymbolLookup_mInternalError_mmy_what" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line58" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
